**Source URL:** https://general.veevavault.dev/regulatory/vault-api/api-reference/26.1/bulk-translation/export-label-set.md

# Export Label Set



Export a Label Set file from your Vault. The exported Label Set file is a CSV editable in any text editor or translation software. You can request one (1) message type in one (1) Label Set per request. Learn more about the [Label Set file schema in Vault Help](https://platform.veevavault.help/en/gr/911724).

This request starts an asynchronous job that exports the Label Set file to your Vault’s file staging. You can then download this file with the Download Item Content request or Vault Toolbox.

To import a Label Set, use the [Import Bulk Translation File](/vault-api/api-reference/26.1/bulk-translation/import-bulk-translation-file) request and set the `message_type` to `field_labels__sys`.

You must have the *Admin: Language: Read* permission to export a Label Set file from Vault.

<Endpoint path="/api/{version}/messages/{message_type}/label_set/{name}/actions/export" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{message_type}` | The message type name, which must be `field_labels__sys`. |
| `{name}` | A valid Label Set, for example, `medical_english__c`. *Active* and *Inactive* Label Sets are both valid. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.3/messages/field_labels__sys/label_set/medical_english__c/actions/export' \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "url": "/api/v25.2/services/jobs/536801",
        "jobId": "536801"
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the `url` and `job_id` of the job. You can use this to retrieve the status and results of the request.

When the job is complete, the Label Set file is available on your Vault’s file staging. Retrieving the job status of this completed job provides the `href` to [download the CSV](/vault-api/api-reference/26.1/file-staging/download-item-content) from file staging.



---

**Previous:** [Retrieve Import Bulk Translation File Job Errors](/regulatory/vault-api/api-reference/26.1/bulk-translation/retrieve-import-bulk-translation-file-job-errors)  
**Next:** [Jobs](/regulatory/vault-api/api-reference/26.1/jobs)